GET /phone_numbers
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/phone_numbers
List your phone numbers
List the phone numbers rented in your account, with filters, or request the CSV format for bulk export. Administrators can pass all_companies to list numbers across every company.
Supported Formats
json, csvParams
| Param name | Description | ||||||
|---|---|---|---|---|---|---|---|
|
serializer Optional Blank value allowed |
This endpoint supports multiple response formats. Pass
|
||||||
|
number Optional |
The phone number.
|
||||||
|
offer_id Optional |
Refer to the offer api for details
|
||||||
|
traffic_source_id Optional |
Refer to the traffic source api for details
|
||||||
|
provider_configuration_id Optional |
Refer to the provider api for details
|
||||||
|
ring_pool_id Optional |
Refer to the Number Pool api for details
|
||||||
|
last_call_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
last_call_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
page Optional |
Return the next page of results.
|
||||||
|
per_page Optional |
How many results to return per page. The default is 25.
|
||||||
|
created_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
created_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||
|
fulltext Optional |
Search for any record that matches this text
|
||||||
|
time_zone Optional |
Date ranges will be parsed using this time zone.
|
||||||
|
columns Optional |
Specify the columns you would like returned by the API for a given resource.
Limiting the columns can significantly increase API response time since only the requested data will be processed.
columns=uuid,number,created_at
Must be any combination of:
|
||||||
|
root Optional |
Pass
|